Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.entities
Class ErrorInfo

    java.lang.Object
      org.jbpm.executor.entities.ErrorInfo

All Implemented Interfaces:
  Serializable, org.kie.internal.executor.api.ErrorInfo

    @Entity
    public class ErrorInfo

extends Object
implements org.kie.internal.executor.api.ErrorInfo, Serializable

See Also:
  Serialized Form

Constructor Summary
`ErrorInfo()`
`ErrorInfo(String message, String stacktrace)`

Method Summary
`boolean` | `equals(Object obj)`
`Long` | `getId()`
`String` | `getMessage()`
`RequestInfo` | `getRequestInfo()`
`String` | `getStacktrace()`
`Date` | `getTime()`
`int` | `hashCode()`
`void` | `setId(Long id)`
`void` | `setMessage(String message)`
`void` | `setRequestInfo(RequestInfo requestInfo)`
`void` | `setStacktrace(String stacktrace)`
`void` | `setTime(Date time)`
`String` | `toString()`
`protected void` | `trimToSize()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorInfo

    public ErrorInfo()

### ErrorInfo

    public ErrorInfo(String message,
                     String stacktrace)

Method Detail

### getId

    public Long getId()

  Specified by:
    `getId` in interface `org.kie.internal.executor.api.ErrorInfo`

### setId

    public void setId(Long id)

### getMessage

    public String getMessage()

  Specified by:
    `getMessage` in interface `org.kie.internal.executor.api.ErrorInfo`

### setMessage

    public void setMessage(String message)

### getStacktrace

    public String getStacktrace()

  Specified by:
    `getStacktrace` in interface `org.kie.internal.executor.api.ErrorInfo`

### setStacktrace

    public void setStacktrace(String stacktrace)

### getTime

    public Date getTime()

  Specified by:
    `getTime` in interface `org.kie.internal.executor.api.ErrorInfo`

### setTime

    public void setTime(Date time)

### getRequestInfo

    public RequestInfo getRequestInfo()

### setRequestInfo

    public void setRequestInfo(RequestInfo requestInfo)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### trimToSize

    protected void trimToSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.